Package org.drinkless.tdlib

# Class TdApi.ReadDatePrivacySettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ReadDatePrivacySettings

Enclosing class:
  `TdApi`

public static class TdApi.ReadDatePrivacySettings extends TdApi.Object
Contains privacy settings for message read date in private chats. Read dates are always shown to the users that can see online status of the current user regardless of this setting.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `showReadDate`
  True, if message read date is shown to other users in private chats.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadDatePrivacySettings()`
  Contains privacy settings for message read date in private chats.
  `ReadDatePrivacySettings(boolean showReadDate)`
  Contains privacy settings for message read date in private chats.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### showReadDate

    public boolean showReadDate
    True, if message read date is shown to other users in private chats. If false and the current user isn't a Telegram Premium user, then they will not be able to see other's message read date.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReadDatePrivacySettings

    public ReadDatePrivacySettings()
    Contains privacy settings for message read date in private chats. Read dates are always shown to the users that can see online status of the current user regardless of this setting.

  - ### ReadDatePrivacySettings

    public ReadDatePrivacySettings(boolean showReadDate)
    Contains privacy settings for message read date in private chats. Read dates are always shown to the users that can see online status of the current user regardless of this setting.
    Parameters:
      `showReadDate` - True, if message read date is shown to other users in private chats. If false and the current user isn't a Telegram Premium user, then they will not be able to see other's message read date.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR